Index: GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/left_economy.html
===================================================================
--- GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/left_economy.html	(revision 1068)
+++ GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/left_economy.html	(revision 1360)
@@ -25,8 +25,8 @@
 </NOLAYER>
 </HEAD>
-<BODY NOF="(MB=(DefaultMasterBorder, 121, 49, 171, 0), L=(EconomyLayout, 774, 456))" STYLE="background-image: url('../assets/images/menu_lateral.JPG');" TOPMARGIN=0 LEFTMARGIN=0 MARGINWIDTH=0 MARGINHEIGHT=0>
+<BODY NOF="(MB=(DefaultMasterBorder, 121, 49, 171, 0), L=(EconomyLayout, 774, 483))" STYLE="background-image: url('../assets/images/menu_lateral.JPG');" TOPMARGIN=0 LEFTMARGIN=0 MARGINWIDTH=0 MARGINHEIGHT=0>
     <TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=171 NOF=LY>
         <TR VALIGN=TOP ALIGN=LEFT>
-            <TD HEIGHT=494 WIDTH=171>
+            <TD HEIGHT=532 WIDTH=171>
                 <TABLE ID="NavigationBar1" BORDER=0 CELLSPACING=0 CELLPADDING=0 NOF=NB_UYVCNY120 WIDTH=171>
                     <TR VALIGN=TOP ALIGN=LEFT>
@@ -40,32 +40,35 @@
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/gtp_members.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton4','',0);F_roll('NavigationButton4',1)" onMouseOut="F_roll('NavigationButton4',0)"><IMG ID="NavigationButton4" NAME="NavigationButton4" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/GTP_Members_Nmenu_base.gif" onLoad="F_loadRollover(this,'GTP_Members_NRmenu_base.jpg',0)" BORDER=0 ALT="GTP Members" TITLE="GTP Members"></A></TD>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/sig_members.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton4','',0);F_roll('NavigationButton4',1)" onMouseOut="F_roll('NavigationButton4',0)"><IMG ID="NavigationButton4" NAME="NavigationButton4" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/SIG_Members_Nmenu_base.gif" onLoad="F_loadRollover(this,'SIG_Members_NRmenu_base.jpg',0)" BORDER=0 ALT="SIG Members" TITLE="SIG Members"></A></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/gtp_partners.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton5','',0);F_roll('NavigationButton5',1)" onMouseOut="F_roll('NavigationButton5',0)"><IMG ID="NavigationButton5" NAME="NavigationButton5" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/GTP_Partners_Nmenu_base.gif" onLoad="F_loadRollover(this,'GTP_Partners_NRmenu_base.jpg',0)" BORDER=0 ALT="GTP Partners" TITLE="GTP Partners"></A></TD>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/gtp_members.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton5','',0);F_roll('NavigationButton5',1)" onMouseOut="F_roll('NavigationButton5',0)"><IMG ID="NavigationButton5" NAME="NavigationButton5" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/GTP_Members_Nmenu_base.gif" onLoad="F_loadRollover(this,'GTP_Members_NRmenu_base.jpg',0)" BORDER=0 ALT="GTP Members" TITLE="GTP Members"></A></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/technology.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton6','',0);F_roll('NavigationButton6',1)" onMouseOut="F_roll('NavigationButton6',0)"><IMG ID="NavigationButton6" NAME="NavigationButton6" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Technology_Nmenu_base.gif" onLoad="F_loadRollover(this,'Technology_NRmenu_base.jpg',0)" BORDER=0 ALT="Technology" TITLE="Technology"></A></TD>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/gtp_partners.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton6','',0);F_roll('NavigationButton6',1)" onMouseOut="F_roll('NavigationButton6',0)"><IMG ID="NavigationButton6" NAME="NavigationButton6" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/GTP_Partners_Nmenu_base.gif" onLoad="F_loadRollover(this,'GTP_Partners_NRmenu_base.jpg',0)" BORDER=0 ALT="GTP Partners" TITLE="GTP Partners"></A></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/economy.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton7','',0);F_roll('NavigationButton7',1)" onMouseOut="F_roll('NavigationButton7',0)"><IMG ID="NavigationButton7" NAME="NavigationButton7" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Economy_Hmenu_base.jpg" onLoad="F_loadRollover(this,'Economy_HRmenu_base.jpg',0)" BORDER=0 ALT="Economy" TITLE="Economy"></A></TD>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/technology.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton7','',0);F_roll('NavigationButton7',1)" onMouseOut="F_roll('NavigationButton7',0)"><IMG ID="NavigationButton7" NAME="NavigationButton7" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Technology_Nmenu_base.gif" onLoad="F_loadRollover(this,'Technology_NRmenu_base.jpg',0)" BORDER=0 ALT="Technology" TITLE="Technology"></A></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/aaa.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton8','',0);F_roll('NavigationButton8',1)" onMouseOut="F_roll('NavigationButton8',0)"><IMG ID="NavigationButton8" NAME="NavigationButton8" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Publications_Nmenu_base.gif" onLoad="F_loadRollover(this,'Publications_NRmenu_base.jpg',0)" BORDER=0 ALT="Publications" TITLE="Publications"></A></TD>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/economy.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton8','',0);F_roll('NavigationButton8',1)" onMouseOut="F_roll('NavigationButton8',0)"><IMG ID="NavigationButton8" NAME="NavigationButton8" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Economy_Hmenu_base.jpg" onLoad="F_loadRollover(this,'Economy_HRmenu_base.jpg',0)" BORDER=0 ALT="Economy" TITLE="Economy"></A></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/press.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton9','',0);F_roll('NavigationButton9',1)" onMouseOut="F_roll('NavigationButton9',0)"><IMG ID="NavigationButton9" NAME="NavigationButton9" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Press_Nmenu_base.gif" onLoad="F_loadRollover(this,'Press_NRmenu_base.jpg',0)" BORDER=0 ALT="Press" TITLE="Press"></A></TD>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/aaa.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton9','',0);F_roll('NavigationButton9',1)" onMouseOut="F_roll('NavigationButton9',0)"><IMG ID="NavigationButton9" NAME="NavigationButton9" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Publications_Nmenu_base.gif" onLoad="F_loadRollover(this,'Publications_NRmenu_base.jpg',0)" BORDER=0 ALT="Publications" TITLE="Publications"></A></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=171 HEIGHT=38><A HREF="http://www.gametools.org/egroupware/login.php" onMouseOver="F_loadRollover('NavigationButton10','',0);F_roll('NavigationButton10',1)" onMouseOut="F_roll('NavigationButton10',0)"><IMG ID="NavigationButton10" NAME="NavigationButton10" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Member_Forum_Nmenu_base.gif" onLoad="F_loadRollover(this,'Member_Forum_NRmenu_base.jpg',0)" BORDER=0 ALT="Member Forum" TITLE="Member Forum"></A></TD>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/press.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton10','',0);F_roll('NavigationButton10',1)" onMouseOut="F_roll('NavigationButton10',0)"><IMG ID="NavigationButton10" NAME="NavigationButton10" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Press_Nmenu_base.gif" onLoad="F_loadRollover(this,'Press_NRmenu_base.jpg',0)" BORDER=0 ALT="Press" TITLE="Press"></A></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/member_area.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton11','',0);F_roll('NavigationButton11',1)" onMouseOut="F_roll('NavigationButton11',0)"><IMG ID="NavigationButton11" NAME="NavigationButton11" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Member_Area_Nmenu_base.gif" onLoad="F_loadRollover(this,'Member_Area_NRmenu_base.jpg',0)" BORDER=0 ALT="Member Area" TITLE="Member Area"></A></TD>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="http://www.gametools.org/egroupware/login.php" onMouseOver="F_loadRollover('NavigationButton11','',0);F_roll('NavigationButton11',1)" onMouseOut="F_roll('NavigationButton11',0)"><IMG ID="NavigationButton11" NAME="NavigationButton11" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Member_Forum_Nmenu_base.gif" onLoad="F_loadRollover(this,'Member_Forum_NRmenu_base.jpg',0)" BORDER=0 ALT="Member Forum" TITLE="Member Forum"></A></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/links.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton12','',0);F_roll('NavigationButton12',1)" onMouseOut="F_roll('NavigationButton12',0)"><IMG ID="NavigationButton12" NAME="NavigationButton12" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Links_Nmenu_base.gif" onLoad="F_loadRollover(this,'Links_NRmenu_base.jpg',0)" BORDER=0 ALT="Links" TITLE="Links"></A></TD>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/member_area.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton12','',0);F_roll('NavigationButton12',1)" onMouseOut="F_roll('NavigationButton12',0)"><IMG ID="NavigationButton12" NAME="NavigationButton12" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Member_Area_Nmenu_base.gif" onLoad="F_loadRollover(this,'Member_Area_NRmenu_base.jpg',0)" BORDER=0 ALT="Member Area" TITLE="Member Area"></A></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/downloads.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton13','',0);F_roll('NavigationButton13',1)" onMouseOut="F_roll('NavigationButton13',0)"><IMG ID="NavigationButton13" NAME="NavigationButton13" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Downloads_Nmenu_base.gif" onLoad="F_loadRollover(this,'Downloads_NRmenu_base.jpg',0)" BORDER=0 ALT="Downloads" TITLE="Downloads"></A></TD>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/links.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton13','',0);F_roll('NavigationButton13',1)" onMouseOut="F_roll('NavigationButton13',0)"><IMG ID="NavigationButton13" NAME="NavigationButton13" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Links_Nmenu_base.gif" onLoad="F_loadRollover(this,'Links_NRmenu_base.jpg',0)" BORDER=0 ALT="Links" TITLE="Links"></A></TD>
+                    </TR>
+                    <TR VALIGN=TOP ALIGN=LEFT>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/downloads.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton14','',0);F_roll('NavigationButton14',1)" onMouseOut="F_roll('NavigationButton14',0)"><IMG ID="NavigationButton14" NAME="NavigationButton14" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Downloads_Nmenu_base.gif" onLoad="F_loadRollover(this,'Downloads_NRmenu_base.jpg',0)" BORDER=0 ALT="Downloads" TITLE="Downloads"></A></TD>
                     </TR>
                 </TABLE>