Index: GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/body_index.html
===================================================================
--- GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/body_index.html	(revision 1065)
+++ GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/body_index.html	(revision 1363)
@@ -7,17 +7,17 @@
 <META NAME="Generator" CONTENT="NetObjects Fusion 8 für Windows">
 <BASE TARGET="_parent">
-<LINK REL=STYLESHEET TYPE="text/css" HREF="./style.css">
-<LINK REL=STYLESHEET TYPE="text/css" HREF="./site.css">
+<LINK REL=STYLESHEET TYPE="text/css" HREF="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/style.css">
+<LINK REL=STYLESHEET TYPE="text/css" HREF="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/site.css">
 <STYLE>
 </STYLE>
 </HEAD>
-<BODY NOF="(MB=(DefaultMasterBorder, 121, 49, 171, 0), L=(GTPLayout, 900, 658))" STYLE="background-image: none;" TOPMARGIN=0 LEFTMARGIN=0 MARGINWIDTH=0 MARGINHEIGHT=0>
-    <TABLE CELLPADDING=0 CELLSPACING=0 BORDER=0 WIDTH=681 NOF=LY>
+<BODY NOF="(MB=(, 121, 49, 171, 0), L=(, 1014, 972))" STYLE="background-image: none;" TOPMARGIN=0 LEFTMARGIN=0 MARGINWIDTH=0 MARGINHEIGHT=0>
+    <TABLE CELLPADDING=0 CELLSPACING=0 BORDER=0 WIDTH=1006 NOF=LY>
         <TR VALIGN=TOP ALIGN=LEFT>
             <TD>
                 <TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=44 NOF=LY>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=19 HEIGHT=658><IMG SRC="./assets/images/autogen/clearpixel.gif" WIDTH=19 HEIGHT=1 BORDER=0 ALT=""></TD>
-                        <TD WIDTH=25><IMG SRC="./assets/images/autogen/clearpixel.gif" WIDTH=25 HEIGHT=1 BORDER=0 ALT=""></TD>
+                        <TD WIDTH=19 HEIGHT=972><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=19 HEIGHT=1 BORDER=0 ALT=""></TD>
+                        <TD WIDTH=25><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=25 HEIGHT=1 BORDER=0 ALT=""></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
@@ -31,38 +31,38 @@
             </TD>
             <TD>
-                <TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=452 NOF=LY>
+                <TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=438 NOF=LY>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=225 HEIGHT=16><IMG SRC="./assets/images/autogen/clearpixel.gif" WIDTH=225 HEIGHT=1 BORDER=0 ALT=""></TD>
+                        <TD WIDTH=211 HEIGHT=16><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=211 HEIGHT=1 BORDER=0 ALT=""></TD>
                         <TD></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
                         <TD HEIGHT=302></TD>
-                        <TD WIDTH=227><A HREF="./html/technology.html"><IMG ID="Bild473" HEIGHT=302 WIDTH=227 SRC="./assets/images/gametools_large02.gif" BORDER=0 ALT="gametools_large02" TITLE="gametools_large02" USEMAP="#map0"><MAP NAME="map0"><AREA SHAPE=POLY ALT="" COORDS="10,82,108,138,107,250,17,189" HREF="./html/geometrytechnology.html"><AREA SHAPE=POLY ALT="" COORDS="11,82,108,138,204,82,106,35" HREF="./html/globaliltechnology.html"><AREA SHAPE=POLY ALT="" COORDS="107,250,196,189,204,83,107,138" HREF="./html/visibilitechnology.html"><AREA SHAPE=RECT ALT="gametools_large02" TITLE="gametools_large02" COORDS="0,0,226,301" HREF="./html/technology.html"></MAP></A></TD>
+                        <TD WIDTH=227><A HREF="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/nolinks.gif"><IMG ID="Bild473" HEIGHT=302 WIDTH=227 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Assets/gametools_large02.gif" BORDER=0 ALT="gametools_large02" TITLE="gametools_large02" USEMAP="#map0"><MAP NAME="map0"><AREA SHAPE=POLY ALT="" COORDS="10,82,108,138,107,250,17,189" HREF="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/nolinks.gif"><AREA SHAPE=POLY ALT="" COORDS="11,82,108,138,204,82,106,35" HREF="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/nolinks.gif"><AREA SHAPE=POLY ALT="" COORDS="107,250,196,189,204,83,107,138" HREF="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/nolinks.gif"><AREA SHAPE=RECT ALT="gametools_large02" TITLE="gametools_large02" COORDS="0,0,226,301" HREF="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/nolinks.gif"></MAP></A></TD>
                     </TR>
                 </TABLE>
                 <TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=637 NOF=LY>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=33 HEIGHT=11><IMG SRC="./assets/images/autogen/clearpixel.gif" WIDTH=33 HEIGHT=1 BORDER=0 ALT=""></TD>
+                        <TD WIDTH=33 HEIGHT=11><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=33 HEIGHT=1 BORDER=0 ALT=""></TD>
                         <TD></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
                         <TD HEIGHT=39></TD>
-                        <TD WIDTH=604><IMG ID="Bild445" HEIGHT=39 WIDTH=604 SRC="./assets/images/autogen/a_banner3_transparent_grey254_400px02.gif" BORDER=0 ALT="Advanced Tools for Developing Leading Edge 3D Applications/Games" TITLE="Advanced Tools for Developing Leading Edge 3D Applications/Games"></TD>
+                        <TD WIDTH=604><IMG ID="Bild445" HEIGHT=39 WIDTH=604 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/a_banner3_transparent_grey254_400px02.gif" BORDER=0 ALT="Advanced Tools for Developing Leading Edge 3D Applications/Games" TITLE="Advanced Tools for Developing Leading Edge 3D Applications/Games"></TD>
                     </TR>
                 </TABLE>
                 <TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=516 NOF=LY>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=150 HEIGHT=25><IMG SRC="./assets/images/autogen/clearpixel.gif" WIDTH=150 HEIGHT=1 BORDER=0 ALT=""></TD>
-                        <TD WIDTH=122><IMG SRC="./assets/images/autogen/clearpixel.gif" WIDTH=122 HEIGHT=1 BORDER=0 ALT=""></TD>
-                        <TD WIDTH=47><IMG SRC="./assets/images/autogen/clearpixel.gif" WIDTH=47 HEIGHT=1 BORDER=0 ALT=""></TD>
-                        <TD WIDTH=29><IMG SRC="./assets/images/autogen/clearpixel.gif" WIDTH=29 HEIGHT=1 BORDER=0 ALT=""></TD>
-                        <TD WIDTH=39><IMG SRC="./assets/images/autogen/clearpixel.gif" WIDTH=39 HEIGHT=1 BORDER=0 ALT=""></TD>
-                        <TD WIDTH=129><IMG SRC="./assets/images/autogen/clearpixel.gif" WIDTH=129 HEIGHT=1 BORDER=0 ALT=""></TD>
+                        <TD WIDTH=150 HEIGHT=25><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=150 HEIGHT=1 BORDER=0 ALT=""></TD>
+                        <TD WIDTH=122><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=122 HEIGHT=1 BORDER=0 ALT=""></TD>
+                        <TD WIDTH=47><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=47 HEIGHT=1 BORDER=0 ALT=""></TD>
+                        <TD WIDTH=29><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=29 HEIGHT=1 BORDER=0 ALT=""></TD>
+                        <TD WIDTH=39><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=39 HEIGHT=1 BORDER=0 ALT=""></TD>
+                        <TD WIDTH=129><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=129 HEIGHT=1 BORDER=0 ALT=""></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
                         <TD HEIGHT=38></TD>
-                        <TD COLSPAN=2 WIDTH=169><A HREF="./html/videos___images.html"><IMG ID="Bild448" HEIGHT=38 WIDTH=169 SRC="./assets/images/videos_btn.gif" BORDER=0 ALT="Jump to Demo-Videos" TITLE="Jump to Demo-Videos"></A></TD>
+                        <TD COLSPAN=2 WIDTH=169><A HREF="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/nolinks.gif"><IMG ID="Bild448" HEIGHT=38 WIDTH=169 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Assets/videos_btn.gif" BORDER=0 ALT="Jump to Demo-Videos" TITLE="Jump to Demo-Videos"></A></TD>
                         <TD></TD>
-                        <TD COLSPAN=2 WIDTH=168><A HREF="./html/join_the_gtp__.html"><IMG ID="Bild449" HEIGHT=38 WIDTH=168 SRC="./assets/images/join_btn.gif" BORDER=0 ALT="Jump to Information about Joing the GTP" TITLE="Jump to Information about Joing the GTP"></A></TD>
+                        <TD COLSPAN=2 WIDTH=168><A HREF="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/nolinks.gif"><IMG ID="Bild449" HEIGHT=38 WIDTH=168 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Assets/join_btn.gif" BORDER=0 ALT="Jump to Information about Joing the GTP" TITLE="Jump to Information about Joing the GTP"></A></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
@@ -71,5 +71,5 @@
                     <TR VALIGN=TOP ALIGN=LEFT>
                         <TD COLSPAN=2 HEIGHT=62></TD>
-                        <TD COLSPAN=3 WIDTH=115><A HREF="http://www.cordis.lu/ist/" TARGET="_blank"><IMG ID="Bild476" HEIGHT=62 WIDTH=115 SRC="./assets/images/ist.gif" BORDER=0 ALT="ist" TITLE="ist"></A></TD>
+                        <TD COLSPAN=3 WIDTH=115><A HREF="http://www.cordis.lu/ist/" TARGET="_blank"><IMG ID="Bild476" HEIGHT=62 WIDTH=115 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Assets/ist.gif" BORDER=0 ALT="ist" TITLE="ist"></A></TD>
                         <TD></TD>
                     </TR>
@@ -77,17 +77,47 @@
                 <TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 NOF=LY>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=204 HEIGHT=74><IMG SRC="./assets/images/autogen/clearpixel.gif" WIDTH=204 HEIGHT=1 BORDER=0 ALT=""></TD>
+                        <TD WIDTH=204 HEIGHT=74><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=204 HEIGHT=1 BORDER=0 ALT=""></TD>
                         <TD></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
                         <TD></TD>
-                        <TD WIDTH=296>
+                        <TD WIDTH=334>
                             <TABLE ID="Tabelle99" BORDER=0 CELLSPACING=1 CELLPADDING=2 WIDTH="100%" HEIGHT=68>
                                 <COLGROUP>
-                                <COL WIDTH=290>
+                                <COL WIDTH=328>
                                 </COLGROUP>
                                 <TR>
-                                    <TD WIDTH=290>
+                                    <TD WIDTH=328>
                                         <P></P>
+                                    </TD>
+                                </TR>
+                            </TABLE>
+                        </TD>
+                    </TR>
+                </TABLE>
+            </TD>
+            <TD>
+                <TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 NOF=LY>
+                    <TR VALIGN=TOP ALIGN=LEFT>
+                        <TD WIDTH=23 HEIGHT=11><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=23 HEIGHT=1 BORDER=0 ALT=""></TD>
+                        <TD></TD>
+                    </TR>
+                    <TR VALIGN=TOP ALIGN=LEFT>
+                        <TD></TD>
+                        <TD WIDTH=302>
+                            <TABLE ID="Table100" BORDER=0 CELLSPACING=2 CELLPADDING=2 WIDTH="100%" HEIGHT=421>
+                                <TR VALIGN=TOP ALIGN=CENTER HEIGHT=413>
+                                    <TD WIDTH=294>
+                                        <P><IMG ID="Picture454" HEIGHT=271 WIDTH=293 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/images/jungle_rumble3.png" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=0 ALT="jungle_rumble3" TITLE="jungle_rumble3">
+                                            <TABLE WIDTH=294 BORDER=0 CELLSPACING=0 CELLPADDING=0 ALIGN=LEFT NOF=TE>
+                                                <TR>
+                                                    <TD CLASS="TextObject" STYLE="border: 1pt dashed rgb(0,0,0); padding: 5pt;">
+                                                        <P STYLE="text-align: center;"><SPAN STYLE="font-family: Verdana,Tahoma,Arial,Helvetica,Sans-serif; font-size: 8pt;">The First <B>GameTools demogame</B> is out !<BR>Jungle Rumble showcases <B><I>volumetric particles</I></B> and <B><I>realtime reflection &amp; refraction</I></B> in an actual game environment !</SPAN></P>
+                                                        <P STYLE="text-align: center;"><SPAN STYLE="font-family: Verdana,Tahoma,Arial,Helvetica,Sans-serif; font-size: 8pt;">And its fun to play, too ;-)</SPAN></P>
+                                                        <P STYLE="text-align: center;"><SPAN STYLE="font-family: Verdana,Tahoma,Arial,Helvetica,Sans-serif; font-size: 8pt;">&gt;&gt;&gt; Download it now &lt;&lt;&lt;</SPAN></P>
+                                                    </TD>
+                                                </TR>
+                                            </TABLE>
+                                        </P>
                                     </TD>
                                 </TR>