Index: /GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/body_join_the_gtp__.html
===================================================================
--- /GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/body_join_the_gtp__.html	(revision 1368)
+++ /GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/body_join_the_gtp__.html	(revision 1369)
@@ -13,16 +13,16 @@
 </HEAD>
 <BODY NOF="(MB=(DefaultMasterBorder, 121, 49, 171, 0), L=(JointheGTPLayout, 900, 483))" TOPMARGIN=0 LEFTMARGIN=0 MARGINWIDTH=0 MARGINHEIGHT=0>
-    <TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=806 NOF=LY>
+    <TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=828 NOF=LY>
         <TR VALIGN=TOP ALIGN=LEFT>
             <TD WIDTH=19 HEIGHT=31><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=19 HEIGHT=1 BORDER=0 ALT=""></TD>
             <TD WIDTH=25><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=25 HEIGHT=1 BORDER=0 ALT=""></TD>
             <TD WIDTH=1><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=1 HEIGHT=1 BORDER=0 ALT=""></TD>
-            <TD WIDTH=662><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=662 HEIGHT=1 BORDER=0 ALT=""></TD>
-            <TD WIDTH=99><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=99 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD WIDTH=761><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=761 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD WIDTH=22><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=22 HEIGHT=1 BORDER=0 ALT=""></TD>
         </TR>
         <TR VALIGN=TOP ALIGN=LEFT>
             <TD COLSPAN=3></TD>
-            <TD COLSPAN=2 WIDTH=761 CLASS="TextObject">
-                <P STYLE="list-style-type: none; text-align: center;"><SPAN STYLE="font-size: 12pt; color: rgb(255,153,0);">Get instant access to the technology developed in the European Union GameTools Project - <BR>apply for membership in the <B>GTP Special Interest Group</B> ! </SPAN></P>
+            <TD WIDTH=761 CLASS="TextObject">
+                <P STYLE="list-style-type: none; text-align: center;"><SPAN STYLE="color: rgb(255,153,0);">Get instant access to the technology developed in the European Union GameTools Project - <BR>apply for membership in the <B>GTP Special Interest Group</B> ! </SPAN></P>
                 <P STYLE="list-style-type: none; text-align: left;">If you are developing software in the EU, then membership in the GTP SIG gives you preliminary access to the GTP libraries / technologies while they are being developed. This allows you to integrate them into your product at the earliest possible stage and even to influence the future course of the GTP.</P>
                 <P STYLE="list-style-type: none; text-align: left;">Join the GTP SIG to get:</P>
@@ -33,20 +33,20 @@
                     <LI>A voice to critizize and give feedback and influence the future direction of the GTP (or GTP 2 ;-) ).<BR>What problems would you like to see researched/solved ?</LI>
                 </OL>
-                <P STYLE="list-style-type: none; text-align: left;"><B>Becoming a SIG member is free</B> - if you are accepted, all you need to do is sign the very liberal <A HREF="http://www.gametools.org/SIG/GTP_SIG_Membership_Agreement_Standard_v1.pdf" target="_blank">GTP SIG membership agreement</A>.</P>
-                <P STYLE="list-style-type: none; text-align: center;"><SPAN STYLE="font-size: 12pt;"><SPAN STYLE="font-size: 9pt; color: rgb(255,153,0);">Contact the GTP Community Manager, <A HREF="&#109;&#97;&#105;&#108;&#116;&#111;&#58;cm&#64;gametools&#46;&#111;&#114;&#103;">Markus Giegl</A>, to apply now<SPAN STYLE="color: rgb(0,0,0);">*</SPAN>, or if you would like to get more information !.</SPAN> </SPAN></P>
-            </TD>
-        </TR>
-        <TR VALIGN=TOP ALIGN=LEFT>
-            <TD COLSPAN=5 HEIGHT=24></TD>
-        </TR>
-        <TR VALIGN=TOP ALIGN=LEFT>
-            <TD COLSPAN=2></TD>
-            <TD COLSPAN=2 WIDTH=663 CLASS="TextObject">
-                <P><SPAN STYLE="font-size: 8pt;">*To speed up the process, please include some general information about your company (including a link to the company webpage), together with your position.</SPAN></P>
+                <P STYLE="list-style-type: none; text-align: left;"><B>Becoming a SIG member is free</B> - if you are accepted, all you need to do is sign the very liberal <A HREF="http://www.gametools.org/SIG/GTP_SIG_Membership_Agreement_Standard_v1.pdf" target="_blank">GTP SIG membership agreement</A>.<BR>(To find out which companies already joined the GTP SIG, go <A HREF="../html/sig_members.html">here</A>.)</P>
+                <P STYLE="list-style-type: none; text-align: center;"><SPAN STYLE="font-size: 9pt; color: rgb(255,153,0);">Contact the GTP Community Manager, <A HREF="&#109;&#97;&#105;&#108;&#116;&#111;&#58;cm&#64;gametools&#46;&#111;&#114;&#103;">Markus Giegl</A>, to apply now<SPAN STYLE="color: rgb(0,0,0);">*</SPAN>, or if you would like to get more information !</SPAN></P>
             </TD>
             <TD></TD>
         </TR>
         <TR VALIGN=TOP ALIGN=LEFT>
-            <TD COLSPAN=5 HEIGHT=70></TD>
+            <TD COLSPAN=5 HEIGHT=42></TD>
+        </TR>
+        <TR VALIGN=TOP ALIGN=LEFT>
+            <TD COLSPAN=2></TD>
+            <TD COLSPAN=3 WIDTH=784 CLASS="TextObject">
+                <P><SPAN STYLE="font-size: 8pt;">*To speed up the process, please include some general information about your company (including a link to the company webpage), together with your position.</SPAN></P>
+            </TD>
+        </TR>
+        <TR VALIGN=TOP ALIGN=LEFT>
+            <TD COLSPAN=5 HEIGHT=61></TD>
         </TR>
         <TR VALIGN=TOP ALIGN=LEFT>
Index: /GTP-Internal/trunk/Webpage/NOF/gtp_webpage/gtp_webpage_html/html/body_join_the_gtp__.html
===================================================================
--- /GTP-Internal/trunk/Webpage/NOF/gtp_webpage/gtp_webpage_html/html/body_join_the_gtp__.html	(revision 1368)
+++ /GTP-Internal/trunk/Webpage/NOF/gtp_webpage/gtp_webpage_html/html/body_join_the_gtp__.html	(revision 1369)
@@ -13,16 +13,16 @@
 </HEAD>
 <BODY NOF="(MB=(DefaultMasterBorder, 121, 49, 171, 0), L=(JointheGTPLayout, 900, 483))" TOPMARGIN=0 LEFTMARGIN=0 MARGINWIDTH=0 MARGINHEIGHT=0>
-    <TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=806 NOF=LY>
+    <TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=828 NOF=LY>
         <TR VALIGN=TOP ALIGN=LEFT>
             <TD WIDTH=19 HEIGHT=31><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=19 HEIGHT=1 BORDER=0 ALT=""></TD>
             <TD WIDTH=25><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=25 HEIGHT=1 BORDER=0 ALT=""></TD>
             <TD WIDTH=1><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=1 HEIGHT=1 BORDER=0 ALT=""></TD>
-            <TD WIDTH=662><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=662 HEIGHT=1 BORDER=0 ALT=""></TD>
-            <TD WIDTH=99><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=99 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD WIDTH=761><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=761 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD WIDTH=22><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=22 HEIGHT=1 BORDER=0 ALT=""></TD>
         </TR>
         <TR VALIGN=TOP ALIGN=LEFT>
             <TD COLSPAN=3></TD>
-            <TD COLSPAN=2 WIDTH=761 CLASS="TextObject">
-                <P STYLE="list-style-type: none; text-align: center;"><SPAN STYLE="font-size: 12pt; color: rgb(255,153,0);">Get instant access to the technology developed in the European Union GameTools Project - <BR>apply for membership in the <B>GTP Special Interest Group</B> ! </SPAN></P>
+            <TD WIDTH=761 CLASS="TextObject">
+                <P STYLE="list-style-type: none; text-align: center;"><SPAN STYLE="color: rgb(255,153,0);">Get instant access to the technology developed in the European Union GameTools Project - <BR>apply for membership in the <B>GTP Special Interest Group</B> ! </SPAN></P>
                 <P STYLE="list-style-type: none; text-align: left;">If you are developing software in the EU, then membership in the GTP SIG gives you preliminary access to the GTP libraries / technologies while they are being developed. This allows you to integrate them into your product at the earliest possible stage and even to influence the future course of the GTP.</P>
                 <P STYLE="list-style-type: none; text-align: left;">Join the GTP SIG to get:</P>
@@ -33,20 +33,20 @@
                     <LI>A voice to critizize and give feedback and influence the future direction of the GTP (or GTP 2 ;-) ).<BR>What problems would you like to see researched/solved ?</LI>
                 </OL>
-                <P STYLE="list-style-type: none; text-align: left;"><B>Becoming a SIG member is free</B> - if you are accepted, all you need to do is sign the very liberal <A HREF="http://www.gametools.org/SIG/GTP_SIG_Membership_Agreement_Standard_v1.pdf" target="_blank">GTP SIG membership agreement</A>.</P>
-                <P STYLE="list-style-type: none; text-align: center;"><SPAN STYLE="font-size: 12pt;"><SPAN STYLE="font-size: 9pt; color: rgb(255,153,0);">Contact the GTP Community Manager, <A HREF="&#109;&#97;&#105;&#108;&#116;&#111;&#58;cm&#64;gametools&#46;&#111;&#114;&#103;">Markus Giegl</A>, to apply now<SPAN STYLE="color: rgb(0,0,0);">*</SPAN>, or if you would like to get more information !.</SPAN> </SPAN></P>
-            </TD>
-        </TR>
-        <TR VALIGN=TOP ALIGN=LEFT>
-            <TD COLSPAN=5 HEIGHT=24></TD>
-        </TR>
-        <TR VALIGN=TOP ALIGN=LEFT>
-            <TD COLSPAN=2></TD>
-            <TD COLSPAN=2 WIDTH=663 CLASS="TextObject">
-                <P><SPAN STYLE="font-size: 8pt;">*To speed up the process, please include some general information about your company (including a link to the company webpage), together with your position.</SPAN></P>
+                <P STYLE="list-style-type: none; text-align: left;"><B>Becoming a SIG member is free</B> - if you are accepted, all you need to do is sign the very liberal <A HREF="http://www.gametools.org/SIG/GTP_SIG_Membership_Agreement_Standard_v1.pdf" target="_blank">GTP SIG membership agreement</A>.<BR>(To find out which companies already joined the GTP SIG, go <A HREF="../html/sig_members.html">here</A>.)</P>
+                <P STYLE="list-style-type: none; text-align: center;"><SPAN STYLE="font-size: 9pt; color: rgb(255,153,0);">Contact the GTP Community Manager, <A HREF="&#109;&#97;&#105;&#108;&#116;&#111;&#58;cm&#64;gametools&#46;&#111;&#114;&#103;">Markus Giegl</A>, to apply now<SPAN STYLE="color: rgb(0,0,0);">*</SPAN>, or if you would like to get more information !</SPAN></P>
             </TD>
             <TD></TD>
         </TR>
         <TR VALIGN=TOP ALIGN=LEFT>
-            <TD COLSPAN=5 HEIGHT=70></TD>
+            <TD COLSPAN=5 HEIGHT=42></TD>
+        </TR>
+        <TR VALIGN=TOP ALIGN=LEFT>
+            <TD COLSPAN=2></TD>
+            <TD COLSPAN=3 WIDTH=784 CLASS="TextObject">
+                <P><SPAN STYLE="font-size: 8pt;">*To speed up the process, please include some general information about your company (including a link to the company webpage), together with your position.</SPAN></P>
+            </TD>
+        </TR>
+        <TR VALIGN=TOP ALIGN=LEFT>
+            <TD COLSPAN=5 HEIGHT=61></TD>
         </TR>
         <TR VALIGN=TOP ALIGN=LEFT>