Index: GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/body_technology.html
===================================================================
--- GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/body_technology.html	(revision 741)
+++ GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/body_technology.html	(revision 1372)
@@ -7,6 +7,6 @@
 <META NAME="Generator" CONTENT="NetObjects Fusion 8 für Windows">
 <BASE TARGET="_parent">
-<LINK REL=STYLESHEET TYPE="text/css" HREF="../html/style.css">
-<LINK REL=STYLESHEET TYPE="text/css" HREF="../html/site.css">
+<LINK REL=STYLESHEET TYPE="text/css" HREF="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/style.css">
+<LINK REL=STYLESHEET TYPE="text/css" HREF="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/site.css">
 <STYLE>
 </STYLE>
@@ -15,13 +15,13 @@
     <TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=864 NOF=LY>
         <TR VALIGN=TOP ALIGN=LEFT>
-            <TD WIDTH=19 HEIGHT=54><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=19 HEIGHT=1 BORDER=0 ALT=""></TD>
-            <TD WIDTH=10><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=10 HEIGHT=1 BORDER=0 ALT=""></TD>
-            <TD WIDTH=1><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=1 HEIGHT=1 BORDER=0 ALT=""></TD>
-            <TD WIDTH=1><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=1 HEIGHT=1 BORDER=0 ALT=""></TD>
-            <TD WIDTH=13><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=13 HEIGHT=1 BORDER=0 ALT=""></TD>
-            <TD WIDTH=719><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=719 HEIGHT=1 BORDER=0 ALT=""></TD>
-            <TD WIDTH=2><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=2 HEIGHT=1 BORDER=0 ALT=""></TD>
-            <TD WIDTH=13><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=13 HEIGHT=1 BORDER=0 ALT=""></TD>
-            <TD WIDTH=86><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=86 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD WIDTH=19 HEIGHT=54><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=19 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD WIDTH=10><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=10 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD WIDTH=1><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=1 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD WIDTH=1><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=1 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD WIDTH=13><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=13 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD WIDTH=719><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=719 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD WIDTH=2><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=2 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD WIDTH=13><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=13 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD WIDTH=86><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=86 HEIGHT=1 BORDER=0 ALT=""></TD>
         </TR>
         <TR VALIGN=TOP ALIGN=LEFT>
@@ -60,11 +60,11 @@
                                     <TR>
                                         <TD>
-                                            <P><A HREF="../html/videos___images.html"><IMG ID="Bild2" HEIGHT=200 WIDTH=170 SRC="../assets/images/autogen/a_tree1_1.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="tree-autumn" TITLE="tree-autumn"></A></P>
+                                            <P><A HREF="./videos___images.html"><IMG ID="Bild2" HEIGHT=200 WIDTH=170 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/a_tree1_1.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="tree-autumn" TITLE="tree-autumn"></A></P>
                                         </TD>
                                         <TD>
-                                            <P><A HREF="../html/videos___images.html"><IMG ID="Bild4" HEIGHT=200 WIDTH=333 SRC="../assets/images/autogen/a_tree-close_1.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="tree-close" TITLE="tree-close"></A></P>
+                                            <P><A HREF="./videos___images.html"><IMG ID="Bild4" HEIGHT=200 WIDTH=333 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/a_tree-close_1.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="tree-close" TITLE="tree-close"></A></P>
                                         </TD>
                                         <TD>
-                                            <P><A HREF="../html/videos___images.html"><IMG ID="Bild3" HEIGHT=200 WIDTH=215 SRC="../assets/images/autogen/a_horse_LOD0_1.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="horse-LOD0" TITLE="horse-LOD0"></A></P>
+                                            <P><A HREF="./videos___images.html"><IMG ID="Bild3" HEIGHT=200 WIDTH=215 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/a_horse_LOD0_1.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="horse-LOD0" TITLE="horse-LOD0"></A></P>
                                         </TD>
                                     </TR>
@@ -106,11 +106,11 @@
                                     <TR>
                                         <TD>
-                                            <P><A HREF="../html/videos___images.html"><IMG ID="Bild5" HEIGHT=200 WIDTH=266 SRC="../assets/images/autogen/a_city_highestres_noseam_1.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="city_highestres_noseam" TITLE="city_highestres_noseam"></A></P>
+                                            <P><A HREF="./videos___images.html"><IMG ID="Bild5" HEIGHT=200 WIDTH=266 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/a_city_highestres_noseam_1.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="city_highestres_noseam" TITLE="city_highestres_noseam"></A></P>
                                         </TD>
                                         <TD>
-                                            <P><A HREF="../html/videos___images.html"><IMG ID="Bild6" HEIGHT=200 WIDTH=266 SRC="../assets/images/autogen/a_overview_highestres_1.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="overview_highestres" TITLE="overview_highestres"></A></P>
+                                            <P><A HREF="./videos___images.html"><IMG ID="Bild6" HEIGHT=200 WIDTH=266 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/a_overview_highestres_1.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="overview_highestres" TITLE="overview_highestres"></A></P>
                                         </TD>
                                         <TD>
-                                            <P><A HREF="../html/videos___images.html"><IMG ID="Bild7" HEIGHT=200 WIDTH=276 SRC="../assets/images/autogen/a_city_vis_highestres_aa_1.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="city_vis_highestres_aa" TITLE="city_vis_highestres_aa"></A></P>
+                                            <P><A HREF="./videos___images.html"><IMG ID="Bild7" HEIGHT=200 WIDTH=276 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/a_city_vis_highestres_aa_1.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="city_vis_highestres_aa" TITLE="city_vis_highestres_aa"></A></P>
                                         </TD>
                                     </TR>
@@ -149,11 +149,11 @@
                                     <TR>
                                         <TD>
-                                            <P><A HREF="../html/videos___images.html"><IMG ID="Bild8" HEIGHT=200 WIDTH=266 SRC="../assets/images/autogen/a_illu-refrigerator_resize_1.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="illu-refrigerator_resize" TITLE="illu-refrigerator_resize"></A></P>
+                                            <P><A HREF="./videos___images.html"><IMG ID="Bild8" HEIGHT=200 WIDTH=266 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/a_illu-refrigerator_resize_1.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="illu-refrigerator_resize" TITLE="illu-refrigerator_resize"></A></P>
                                         </TD>
                                         <TD>
-                                            <P><A HREF="../html/videos___images.html"><IMG ID="Bild9" HEIGHT=200 WIDTH=242 SRC="../assets/images/autogen/a_illu-metal-rings_3x3_resize_1.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="illu-metal-rings 3x3_resize" TITLE="illu-metal-rings 3x3_resize"></A></P>
+                                            <P><A HREF="./videos___images.html"><IMG ID="Bild9" HEIGHT=200 WIDTH=242 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/a_illu-metal-rings_3x3_resize_1.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="illu-metal-rings 3x3_resize" TITLE="illu-metal-rings 3x3_resize"></A></P>
                                         </TD>
                                         <TD>
-                                            <P><A HREF="../html/videos___images.html"><IMG ID="Bild10" HEIGHT=200 WIDTH=199 SRC="../assets/images/autogen/a_illu-skull_resize_1.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="illu-skull_resize" TITLE="illu-skull_resize"></A></P>
+                                            <P><A HREF="./videos___images.html"><IMG ID="Bild10" HEIGHT=200 WIDTH=199 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/a_illu-skull_resize_1.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="illu-skull_resize" TITLE="illu-skull_resize"></A></P>
                                         </TD>
                                     </TR>