Index: GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/body_visibility.html
===================================================================
--- GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/body_visibility.html	(revision 1372)
+++ GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/body_visibility.html	(revision 1373)
@@ -7,6 +7,6 @@
 <META NAME="Generator" CONTENT="NetObjects Fusion 8 für Windows">
 <BASE TARGET="_parent">
-<LINK REL=STYLESHEET TYPE="text/css" HREF="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/style.css">
-<LINK REL=STYLESHEET TYPE="text/css" HREF="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/site.css">
+<LINK REL=STYLESHEET TYPE="text/css" HREF="../html/style.css">
+<LINK REL=STYLESHEET TYPE="text/css" HREF="../html/site.css">
 <STYLE>
 </STYLE>
@@ -15,8 +15,8 @@
     <TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=860 NOF=LY>
         <TR VALIGN=TOP ALIGN=LEFT>
-            <TD WIDTH=19 HEIGHT=54><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=19 HEIGHT=1 BORDER=0 ALT=""></TD>
-            <TD WIDTH=7><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=7 HEIGHT=1 BORDER=0 ALT=""></TD>
-            <TD WIDTH=18><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=18 HEIGHT=1 BORDER=0 ALT=""></TD>
-            <TD WIDTH=816><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=816 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD WIDTH=19 HEIGHT=54><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=19 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD WIDTH=7><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=7 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD WIDTH=18><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=18 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD WIDTH=816><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=816 HEIGHT=1 BORDER=0 ALT=""></TD>
         </TR>
         <TR VALIGN=TOP ALIGN=LEFT>
@@ -46,11 +46,11 @@
                                     <TR>
                                         <TD>
-                                            <P><IMG ID="Bild2" HEIGHT=200 WIDTH=266 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/a_city_highestres_noseam.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="city_highestres_noseam" TITLE="city_highestres_noseam"></P>
+                                            <P><IMG ID="Bild2" HEIGHT=200 WIDTH=266 SRC="../assets/images/autogen/a_city_highestres_noseam.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="city_highestres_noseam" TITLE="city_highestres_noseam"></P>
                                         </TD>
                                         <TD>
-                                            <P><IMG ID="Bild3" HEIGHT=200 WIDTH=266 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/a_overview_highestres.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="overview_highestres" TITLE="overview_highestres"></P>
+                                            <P><IMG ID="Bild3" HEIGHT=200 WIDTH=266 SRC="../assets/images/autogen/a_overview_highestres.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="overview_highestres" TITLE="overview_highestres"></P>
                                         </TD>
                                         <TD>
-                                            <P><IMG ID="Bild4" HEIGHT=200 WIDTH=276 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/a_city_vis_highestres_aa.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="city_vis_highestres_aa" TITLE="city_vis_highestres_aa"></P>
+                                            <P><IMG ID="Bild4" HEIGHT=200 WIDTH=276 SRC="../assets/images/autogen/a_city_vis_highestres_aa.gif" VSPACE=0 HSPACE=0 ALIGN="TOP" BORDER=1 STYLE="border-left-color:  rgb(0,102,204); border-left-style: solid; border-top-color:  rgb(0,102,204); border-top-style: solid; border-right-color:  rgb(0,102,204); border-right-style: solid; border-bottom-color:  rgb(0,102,204); border-bottom-style: solid;" ALT="city_vis_highestres_aa" TITLE="city_vis_highestres_aa"></P>
                                         </TD>
                                     </TR>