Index: /GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/header_downloads.html
===================================================================
--- /GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/header_downloads.html	(revision 1373)
+++ /GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/header_downloads.html	(revision 1374)
@@ -7,19 +7,19 @@
 <META NAME="Generator" CONTENT="NetObjects Fusion 8 für Windows">
 <BASE TARGET="_parent">
-<LINK REL=STYLESHEET TYPE="text/css" HREF="../html/style.css">
-<LINK REL=STYLESHEET TYPE="text/css" HREF="../html/site.css">
+<LINK REL=STYLESHEET TYPE="text/css" HREF="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/style.css">
+<LINK REL=STYLESHEET TYPE="text/css" HREF="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/site.css">
 <STYLE>
 </STYLE>
 </HEAD>
-<BODY NOF="(MB=(DefaultMasterBorder, 121, 49, 171, 0), L=(DownloadsLayout, 774, 935))" STYLE="background-color: rgb(255,255,255); background-image: url('../assets/images/upper2.png');" TOPMARGIN=0 LEFTMARGIN=0 MARGINWIDTH=0 MARGINHEIGHT=0>
+<BODY NOF="(MB=(, 121, 49, 171, 0), L=(, 774, 935))" STYLE="background-color: rgb(255,255,255); background-image: url('file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Assets/upper2.png');" TOPMARGIN=0 LEFTMARGIN=0 MARGINWIDTH=0 MARGINHEIGHT=0>
     <TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=752 NOF=LY>
         <TR VALIGN=TOP ALIGN=LEFT>
-            <TD ROWSPAN=3 WIDTH=171><A HREF="../index.html"><IMG ID="Bild1" HEIGHT=121 WIDTH=171 SRC="../assets/images/menu_superior203.png" BORDER=0 ALT="menu_superior203" TITLE="menu_superior203"></A></TD>
-            <TD WIDTH=181 HEIGHT=38><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=181 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD ROWSPAN=3 WIDTH=171><A HREF="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/nolinks.gif"><IMG ID="Bild1" HEIGHT=121 WIDTH=171 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Assets/menu_superior203.png" BORDER=0 ALT="menu_superior203" TITLE="menu_superior203"></A></TD>
+            <TD WIDTH=181 HEIGHT=38><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=181 HEIGHT=1 BORDER=0 ALT=""></TD>
             <TD></TD>
         </TR>
         <TR VALIGN=TOP ALIGN=LEFT>
             <TD HEIGHT=39></TD>
-            <TD WIDTH=400><IMG ID="Banner1" HEIGHT=39 WIDTH=400 SRC="../assets/images/autogen/Downloads_Nbanner3_transparent_grey254_400px.gif" BORDER=0 ALT="Downloads" TITLE="Downloads" NOF=B_H></TD>
+            <TD WIDTH=400><IMG ID="Banner1" HEIGHT=39 WIDTH=400 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/Downloads_Nbanner3_transparent_grey254_400px.gif" BORDER=0 ALT="Downloads" TITLE="Downloads" NOF=B_H></TD>
         </TR>
         <TR VALIGN=TOP ALIGN=LEFT>
Index: /GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/left_downloads.html
===================================================================
--- /GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/left_downloads.html	(revision 1373)
+++ /GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/left_downloads.html	(revision 1374)
@@ -12,7 +12,7 @@
 //-->
 </SCRIPT>
-<SCRIPT LANGUAGE="JavaScript1.2" SRC="../assets/rollover.js"></SCRIPT>
-<LINK REL=STYLESHEET TYPE="text/css" HREF="../html/style.css">
-<LINK REL=STYLESHEET TYPE="text/css" HREF="../html/site.css">
+<SCRIPT LANGUAGE="JavaScript1.2" SRC="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/rollover.js"></SCRIPT>
+<LINK REL=STYLESHEET TYPE="text/css" HREF="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/style.css">
+<LINK REL=STYLESHEET TYPE="text/css" HREF="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/site.css">
 <STYLE>
 </STYLE><NOLAYER>
@@ -25,44 +25,53 @@
 </NOLAYER>
 </HEAD>
-<BODY NOF="(MB=(DefaultMasterBorder, 121, 49, 171, 0), L=(DownloadsLayout, 774, 935))" STYLE="background-image: url('../assets/images/menu_lateral.JPG');" TOPMARGIN=0 LEFTMARGIN=0 MARGINWIDTH=0 MARGINHEIGHT=0>
+<BODY NOF="(MB=(, 121, 49, 171, 0), L=(, 774, 935))" STYLE="background-image: url('file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Assets/menu_lateral.JPG');" TOPMARGIN=0 LEFTMARGIN=0 MARGINWIDTH=0 MARGINHEIGHT=0>
     <TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=171 NOF=LY>
         <TR VALIGN=TOP ALIGN=LEFT>
-            <TD HEIGHT=456 WIDTH=171>
+            <TD HEIGHT=570 WIDTH=171>
                 <TABLE ID="NavigationBar1" BORDER=0 CELLSPACING=0 CELLPADDING=0 NOF=NB_UYVPNY120 WIDTH=171>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/overview.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton1','',0);F_roll('NavigationButton1',1)" onMouseOut="F_roll('NavigationButton1',0)"><IMG ID="NavigationButton1" NAME="NavigationButton1" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Overview_Nmenu_base.gif" onLoad="F_loadRollover(this,'Overview_NRmenu_base.jpg',0)" BORDER=0 ALT="Overview" TITLE="Overview"></A></TD>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/nolinks.gif" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton1','',0);F_roll('NavigationButton1',1)" onMouseOut="F_roll('NavigationButton1',0)"><IMG ID="NavigationButton1" NAME="NavigationButton1" HEIGHT=38 WIDTH=171 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/Overview_Nmenu_base.gif" onLoad="F_loadRollover(this,'Overview_NRmenu_base.jpg',0)" BORDER=0 ALT="Overview" TITLE="Overview"></A></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/technology.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton2','',0);F_roll('NavigationButton2',1)" onMouseOut="F_roll('NavigationButton2',0)"><IMG ID="NavigationButton2" NAME="NavigationButton2" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Technology_Nmenu_base.gif" onLoad="F_loadRollover(this,'Technology_NRmenu_base.jpg',0)" BORDER=0 ALT="Technology" TITLE="Technology"></A></TD>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/nolinks.gif" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton2','',0);F_roll('NavigationButton2',1)" onMouseOut="F_roll('NavigationButton2',0)"><IMG ID="NavigationButton2" NAME="NavigationButton2" HEIGHT=38 WIDTH=171 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/Technology_Nmenu_base.gif" onLoad="F_loadRollover(this,'Technology_NRmenu_base.jpg',0)" BORDER=0 ALT="Technology" TITLE="Technology"></A></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/videos___images.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton3','',0);F_roll('NavigationButton3',1)" onMouseOut="F_roll('NavigationButton3',0)"><IMG ID="NavigationButton3" NAME="NavigationButton3" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Videos___Images_Nmenu_base.gif" onLoad="F_loadRollover(this,'Videos___Images_NRmenu_base.jpg',0)" BORDER=0 ALT="Videos / Images" TITLE="Videos / Images"></A></TD>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/nolinks.gif" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton3','',0);F_roll('NavigationButton3',1)" onMouseOut="F_roll('NavigationButton3',0)"><IMG ID="NavigationButton3" NAME="NavigationButton3" HEIGHT=38 WIDTH=171 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/Videos___Images_Nmenu_base.gif" onLoad="F_loadRollover(this,'Videos___Images_NRmenu_base.jpg',0)" BORDER=0 ALT="Videos / Images" TITLE="Videos / Images"></A></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/join_the_gtp__.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton4','',0);F_roll('NavigationButton4',1)" onMouseOut="F_roll('NavigationButton4',0)"><IMG ID="NavigationButton4" NAME="NavigationButton4" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Join_the_GTP___Nmenu_base.gif" onLoad="F_loadRollover(this,'Join_the_GTP___NRmenu_base.jpg',0)" BORDER=0 ALT="Join the GTP !" TITLE="Join the GTP !"></A></TD>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/nolinks.gif" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton4','',0);F_roll('NavigationButton4',1)" onMouseOut="F_roll('NavigationButton4',0)"><IMG ID="NavigationButton4" NAME="NavigationButton4" HEIGHT=38 WIDTH=171 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/Join_the_GTP___Nmenu_base.gif" onLoad="F_loadRollover(this,'Join_the_GTP___NRmenu_base.jpg',0)" BORDER=0 ALT="Join the GTP !" TITLE="Join the GTP !"></A></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/gtp_members.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton5','',0);F_roll('NavigationButton5',1)" onMouseOut="F_roll('NavigationButton5',0)"><IMG ID="NavigationButton5" NAME="NavigationButton5" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/GTP_Members_Nmenu_base.gif" onLoad="F_loadRollover(this,'GTP_Members_NRmenu_base.jpg',0)" BORDER=0 ALT="GTP Members" TITLE="GTP Members"></A></TD>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/nolinks.gif" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton5','',0);F_roll('NavigationButton5',1)" onMouseOut="F_roll('NavigationButton5',0)"><IMG ID="NavigationButton5" NAME="NavigationButton5" HEIGHT=38 WIDTH=171 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/GTP_Members_Nmenu_base.gif" onLoad="F_loadRollover(this,'GTP_Members_NRmenu_base.jpg',0)" BORDER=0 ALT="GTP Members" TITLE="GTP Members"></A></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/gtp_sig.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton6','',0);F_roll('NavigationButton6',1)" onMouseOut="F_roll('NavigationButton6',0)"><IMG ID="NavigationButton6" NAME="NavigationButton6" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/GTP_SIG_Nmenu_base.gif" onLoad="F_loadRollover(this,'GTP_SIG_NRmenu_base.jpg',0)" BORDER=0 ALT="GTP SIG" TITLE="GTP SIG"></A></TD>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/nolinks.gif" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton6','',0);F_roll('NavigationButton6',1)" onMouseOut="F_roll('NavigationButton6',0)"><IMG ID="NavigationButton6" NAME="NavigationButton6" HEIGHT=38 WIDTH=171 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/GTP_SIG_Nmenu_base.gif" onLoad="F_loadRollover(this,'GTP_SIG_NRmenu_base.jpg',0)" BORDER=0 ALT="GTP SIG" TITLE="GTP SIG"></A></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/gtp_partners.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton7','',0);F_roll('NavigationButton7',1)" onMouseOut="F_roll('NavigationButton7',0)"><IMG ID="NavigationButton7" NAME="NavigationButton7" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/GTP_Partners_Nmenu_base.gif" onLoad="F_loadRollover(this,'GTP_Partners_NRmenu_base.jpg',0)" BORDER=0 ALT="GTP Partners" TITLE="GTP Partners"></A></TD>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/nolinks.gif" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton7','',0);F_roll('NavigationButton7',1)" onMouseOut="F_roll('NavigationButton7',0)"><IMG ID="NavigationButton7" NAME="NavigationButton7" HEIGHT=38 WIDTH=171 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/GTP_Partners_Nmenu_base.gif" onLoad="F_loadRollover(this,'GTP_Partners_NRmenu_base.jpg',0)" BORDER=0 ALT="GTP Partners" TITLE="GTP Partners"></A></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/aaa.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton8','',0);F_roll('NavigationButton8',1)" onMouseOut="F_roll('NavigationButton8',0)"><IMG ID="NavigationButton8" NAME="NavigationButton8" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Publications_Nmenu_base.gif" onLoad="F_loadRollover(this,'Publications_NRmenu_base.jpg',0)" BORDER=0 ALT="Publications" TITLE="Publications"></A></TD>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/nolinks.gif" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton8','',0);F_roll('NavigationButton8',1)" onMouseOut="F_roll('NavigationButton8',0)"><IMG ID="NavigationButton8" NAME="NavigationButton8" HEIGHT=38 WIDTH=171 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/News_Nmenu_base.gif" onLoad="F_loadRollover(this,'News_NRmenu_base.jpg',0)" BORDER=0 ALT="News" TITLE="News"></A></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/press.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton9','',0);F_roll('NavigationButton9',1)" onMouseOut="F_roll('NavigationButton9',0)"><IMG ID="NavigationButton9" NAME="NavigationButton9" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Press_Nmenu_base.gif" onLoad="F_loadRollover(this,'Press_NRmenu_base.jpg',0)" BORDER=0 ALT="Press" TITLE="Press"></A></TD>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/nolinks.gif" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton9','',0);F_roll('NavigationButton9',1)" onMouseOut="F_roll('NavigationButton9',0)"><IMG ID="NavigationButton9" NAME="NavigationButton9" HEIGHT=38 WIDTH=171 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/Publications_Nmenu_base.gif" onLoad="F_loadRollover(this,'Publications_NRmenu_base.jpg',0)" BORDER=0 ALT="Publications" TITLE="Publications"></A></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/internal.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton10','',0);F_roll('NavigationButton10',1)" onMouseOut="F_roll('NavigationButton10',0)"><IMG ID="NavigationButton10" NAME="NavigationButton10" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Internal_Nmenu_base.gif" onLoad="F_loadRollover(this,'Internal_NRmenu_base.jpg',0)" BORDER=0 ALT="Internal" TITLE="Internal"></A></TD>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/nolinks.gif" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton10','',0);F_roll('NavigationButton10',1)" onMouseOut="F_roll('NavigationButton10',0)"><IMG ID="NavigationButton10" NAME="NavigationButton10" HEIGHT=38 WIDTH=171 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/Results_Nmenu_base.gif" onLoad="F_loadRollover(this,'Results_NRmenu_base.jpg',0)" BORDER=0 ALT="Results" TITLE="Results"></A></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/links.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton11','',0);F_roll('NavigationButton11',1)" onMouseOut="F_roll('NavigationButton11',0)"><IMG ID="NavigationButton11" NAME="NavigationButton11" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Links_Nmenu_base.gif" onLoad="F_loadRollover(this,'Links_NRmenu_base.jpg',0)" BORDER=0 ALT="Links" TITLE="Links"></A></TD>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/nolinks.gif" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton11','',0);F_roll('NavigationButton11',1)" onMouseOut="F_roll('NavigationButton11',0)"><IMG ID="NavigationButton11" NAME="NavigationButton11" HEIGHT=38 WIDTH=171 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/Press_Nmenu_base.gif" onLoad="F_loadRollover(this,'Press_NRmenu_base.jpg',0)" BORDER=0 ALT="Press" TITLE="Press"></A></TD>
                     </TR>
                     <TR VALIGN=TOP ALIGN=LEFT>
-                        <TD WIDTH=171 HEIGHT=38><A HREF="../html/downloads.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton12','',0);F_roll('NavigationButton12',1)" onMouseOut="F_roll('NavigationButton12',0)"><IMG ID="NavigationButton12" NAME="NavigationButton12" HEIGHT=38 WIDTH=171 SRC="../assets/images/autogen/Downloads_Hmenu_base.jpg" onLoad="F_loadRollover(this,'Downloads_HRmenu_base.jpg',0)" BORDER=0 ALT="Downloads" TITLE="Downloads"></A></TD>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/nolinks.gif" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton12','',0);F_roll('NavigationButton12',1)" onMouseOut="F_roll('NavigationButton12',0)"><IMG ID="NavigationButton12" NAME="NavigationButton12" HEIGHT=38 WIDTH=171 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/Internal_Nmenu_base.gif" onLoad="F_loadRollover(this,'Internal_NRmenu_base.jpg',0)" BORDER=0 ALT="Internal" TITLE="Internal"></A></TD>
+                    </TR>
+                    <TR VALIGN=TOP ALIGN=LEFT>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/nolinks.gif" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton13','',0);F_roll('NavigationButton13',1)" onMouseOut="F_roll('NavigationButton13',0)"><IMG ID="NavigationButton13" NAME="NavigationButton13" HEIGHT=38 WIDTH=171 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/Links_Nmenu_base.gif" onLoad="F_loadRollover(this,'Links_NRmenu_base.jpg',0)" BORDER=0 ALT="Links" TITLE="Links"></A></TD>
+                    </TR>
+                    <TR VALIGN=TOP ALIGN=LEFT>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="./downloads.html" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton14','',0);F_roll('NavigationButton14',1)" onMouseOut="F_roll('NavigationButton14',0)"><IMG ID="NavigationButton14" NAME="NavigationButton14" HEIGHT=38 WIDTH=171 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/Downloads_Hmenu_base.jpg" onLoad="F_loadRollover(this,'Downloads_HRmenu_base.jpg',0)" BORDER=0 ALT="Downloads" TITLE="Downloads"></A></TD>
+                    </TR>
+                    <TR VALIGN=TOP ALIGN=LEFT>
+                        <TD WIDTH=171 HEIGHT=38><A HREF="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/nolinks.gif" style="cursor:hand; text-decoration:none;" onMouseOver="F_loadRollover('NavigationButton15','',0);F_roll('NavigationButton15',1)" onMouseOut="F_roll('NavigationButton15',0)"><IMG ID="NavigationButton15" NAME="NavigationButton15" HEIGHT=38 WIDTH=171 SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/____FAQ_____Nmenu_base.gif" onLoad="F_loadRollover(this,'____FAQ_____NRmenu_base.jpg',0)" BORDER=0 ALT=">>> FAQ >>>" TITLE=">>> FAQ >>>"></A></TD>
                     </TR>
                 </TABLE>
Index: /GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/downloads.html
===================================================================
--- /GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/downloads.html	(revision 1373)
+++ /GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/downloads.html	(revision 1374)
@@ -7,8 +7,8 @@
 <META NAME="Generator" CONTENT="NetObjects Fusion 8 für Windows">
 <FRAMESET BORDER=0 FRAMESPACING=0 FRAMEBORDER=0 ROWS="121,*">
-    <FRAME NAME="header" TITLE="header" SRC="../html/header_downloads.html" SCROLLING=NO MARGINWIDTH="0" MARGINHEIGHT="0" FRAMEBORDER=NO BORDER="0" NORESIZE>
+    <FRAME NAME="header" TITLE="header" SRC="./header_downloads.html" SCROLLING=NO MARGINWIDTH="0" MARGINHEIGHT="0" FRAMEBORDER=NO BORDER="0" NORESIZE>
     <FRAMESET BORDER=0 FRAMESPACING=0 FRAMEBORDER=0 COLS="171,*">
-        <FRAME NAME="left" TITLE="left" SRC="../html/left_downloads.html" SCROLLING=NO MARGINWIDTH="0" MARGINHEIGHT="0" FRAMEBORDER=NO BORDER="0" NORESIZE>
-        <FRAME NAME="body" TITLE="body" SRC="../html/body_downloads.html" SCROLLING=AUTO MARGINWIDTH=0 MARGINHEIGHT=0>
+        <FRAME NAME="left" TITLE="left" SRC="./left_downloads.html" SCROLLING=NO MARGINWIDTH="0" MARGINHEIGHT="0" FRAMEBORDER=NO BORDER="0" NORESIZE>
+        <FRAME NAME="body" TITLE="body" SRC="./body_downloads.html" SCROLLING=AUTO MARGINWIDTH=0 MARGINHEIGHT=0>
     </FRAMESET>
 </FRAMESET>
Index: /GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/body_downloads.html
===================================================================
--- /GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/body_downloads.html	(revision 1373)
+++ /GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/body_downloads.html	(revision 1374)
@@ -7,25 +7,37 @@
 <META NAME="Generator" CONTENT="NetObjects Fusion 8 für Windows">
 <BASE TARGET="_parent">
-<LINK REL=STYLESHEET TYPE="text/css" HREF="../html/style.css">
-<LINK REL=STYLESHEET TYPE="text/css" HREF="../html/site.css">
+<LINK REL=STYLESHEET TYPE="text/css" HREF="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/style.css">
+<LINK REL=STYLESHEET TYPE="text/css" HREF="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/site.css">
 <STYLE>
 </STYLE>
 </HEAD>
-<BODY NOF="(MB=(DefaultMasterBorder, 121, 49, 171, 0), L=(DownloadsLayout, 774, 935))" TOPMARGIN=0 LEFTMARGIN=0 MARGINWIDTH=0 MARGINHEIGHT=0>
-    <TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=688 NOF=LY>
+<BODY NOF="(MB=(, 121, 49, 171, 0), L=(, 774, 935))" TOPMARGIN=0 LEFTMARGIN=0 MARGINWIDTH=0 MARGINHEIGHT=0>
+    <TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=689 NOF=LY>
         <TR VALIGN=TOP ALIGN=LEFT>
-            <TD WIDTH=19 HEIGHT=30><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=19 HEIGHT=1 BORDER=0 ALT=""></TD>
-            <TD WIDTH=25><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=25 HEIGHT=1 BORDER=0 ALT=""></TD>
-            <TD WIDTH=43><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=43 HEIGHT=1 BORDER=0 ALT=""></TD>
-            <TD WIDTH=601><IMG SRC="../assets/images/autogen/clearpixel.gif" WIDTH=601 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD WIDTH=19 HEIGHT=32><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=19 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD WIDTH=25><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=25 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD WIDTH=43><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=43 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD WIDTH=2><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=2 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD WIDTH=599><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=599 HEIGHT=1 BORDER=0 ALT=""></TD>
+            <TD WIDTH=1><IMG SRC="file:///C:/_Stuff_/_Uni_CG_Insti_/GameTools Project/GTP_Libs/GTP-Internal/trunk/Webpage/NOF/gtp_webpage/Preview/Autogen/clearpixel.gif" WIDTH=1 HEIGHT=1 BORDER=0 ALT=""></TD>
         </TR>
         <TR VALIGN=TOP ALIGN=LEFT>
             <TD COLSPAN=3></TD>
-            <TD WIDTH=601 CLASS="TextObject">
-                <P STYLE="text-align: center;">You can find GTP example videos/images <A HREF="../html/videos___images.html">here</A>. </P>
+            <TD COLSPAN=2 WIDTH=601 CLASS="TextObject">
+                <P STYLE="text-align: center;">This is the download section for European Union public reports, etc.<BR><BR><B><I><SPAN STYLE="color: rgb(255,0,0);">You can find GTP example games/videos/images <A HREF="file:///C:/PROGRA~1/NETOBJ~2/NETOBJ~1.0/NetObjects System/nolinks.gif">here</A></SPAN></I></B>. </P>
+            </TD>
+            <TD></TD>
+        </TR>
+        <TR VALIGN=TOP ALIGN=LEFT>
+            <TD COLSPAN=6 HEIGHT=34></TD>
+        </TR>
+        <TR VALIGN=TOP ALIGN=LEFT>
+            <TD COLSPAN=4></TD>
+            <TD COLSPAN=2 WIDTH=600 CLASS="TextObject">
+                <P><B>GTP EU Public Reports</B><BR>&nbsp;<BR>D3.2: Report on Visibility Algorithms [<A HREF="http://www.gametools.org/downloads/GameTools_Report_Visibility_Algorithms.pdf" target="_blank">pdf</A>]<BR>D4.2: Report on the Multiresolution Modules [<A HREF="http://www.gametools.org/downloads/GameTools_Report_Geometry.pdf" target="_blank">pdf</A>]<BR>D5.2: Report on Illumination Algorithms [<A HREF="http://www.gametools.org/downloads/GameTools_Report_Illumination_Algorithms.pdf" target="_blank">pdf</A>] </P>
             </TD>
         </TR>
         <TR VALIGN=TOP ALIGN=LEFT>
-            <TD COLSPAN=4 HEIGHT=890></TD>
+            <TD COLSPAN=6 HEIGHT=749></TD>
         </TR>
         <TR VALIGN=TOP ALIGN=LEFT>
@@ -35,5 +47,5 @@
                 <P>&nbsp;</P>
             </TD>
-            <TD COLSPAN=2></TD>
+            <TD COLSPAN=4></TD>
         </TR>
     </TABLE>